Hello community,

here is the log from the commit of package gegl for openSUSE:Factory checked in 
at 2018-04-06 17:41:29
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/gegl (Old)
 and      /work/SRC/openSUSE:Factory/.gegl.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "gegl"

Fri Apr  6 17:41:29 2018 rev:38 rq:593214 version:0.3.30

Changes:
--------
--- /work/SRC/openSUSE:Factory/gegl/gegl.changes        2018-04-02 
22:47:47.904961837 +0200
+++ /work/SRC/openSUSE:Factory/.gegl.new/gegl.changes   2018-04-06 
17:41:31.980859747 +0200
@@ -1,0 +2,6 @@
+Sun Apr  1 02:25:38 UTC 2018 - luc1...@linuxmail.org
+
+- Add cairo and glib-2.0 BuildRequires to avoid implicit
+  dependencies.
+
+-------------------------------------------------------------------
@@ -4,2 +10,28 @@
-- Update to 0.3.30
-- Rather complex code changes, which is in NEWS file
+- Update to version 0.3.30:
+  + GeglBuffer:
+    - gegl_buffer_get now treats the final argument;
+    - All scaling is now done on linear data, making future results
+      of mipmap computations more valid as well as providing
+      correct results for scaled down thumbnails in user
+      interfaces;
+    - The scaling code paths has also been instrumented and
+      optimized for performance;
+    - Improvements to logic switching to boxfiltering behavior and
+      improve cubic samplers box filtering by using a linear
+      sampler and a nearest sampler for the boxfiltering for the
+      linear sampler;
+    - gegl_buffer_copy gegl_buffer_clear and gegl_buffer_set color
+      now only emit a single changed signal on the buffer.
+  + Operations:
+    - c2g and stress have gained the ability to toggle the
+      influence of the shadow neighborhood or not, the new default
+      is to not improve shadow detail; yielding a bit more natural
+      renditions;
+    - color-to-alpha now contains improvements from experiment
+      in workshop which is gone;
+    - Fixed crashes in median-blur.
+  + Transform ops: Only rasterize inside the transformed polygon,
+    saving cpu;
+  + New ops: Mean-curvature blur.
+  + News ops in workshop: color-overlay, enlarge, inpaint, domain-\
+    transform, recursive=transform.
@@ -7 +38,0 @@
- 

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ gegl.spec ++++++
--- /var/tmp/diff_new_pack.1p1MFE/_old  2018-04-06 17:41:32.788830564 +0200
+++ /var/tmp/diff_new_pack.1p1MFE/_new  2018-04-06 17:41:32.788830564 +0200
@@ -24,46 +24,47 @@
 Group:          Productivity/Graphics/Other
 URL:            http://gegl.org/
 Source0:        
https://download.gimp.org/pub/gegl/0.3/%{name}-%{version}.tar.bz2
-
 BuildRequires:  ImageMagick
-BuildRequires:  SDL-devel
+BuildRequires:  SDL-devel >= 1.2.0
 BuildRequires:  enscript
 BuildRequires:  gcc-c++
 BuildRequires:  gobject-introspection-devel >= 1.32.0
 BuildRequires:  graphviz-gd
 BuildRequires:  gtk-doc
-BuildRequires:  lensfun-devel
+BuildRequires:  lensfun-devel >= 0.2.5
 BuildRequires:  libjpeg-devel
 BuildRequires:  libspiro-devel
 BuildRequires:  libstdc++-devel
 BuildRequires:  libtool
 BuildRequires:  pkgconfig
 BuildRequires:  suitesparse-devel
-BuildRequires:  pkgconfig(OpenEXR)
+BuildRequires:  pkgconfig(OpenEXR) >= 1.6.1
 BuildRequires:  pkgconfig(babl) >= 0.1.44
-BuildRequires:  pkgconfig(exiv2)
-BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.18.0
+BuildRequires:  pkgconfig(cairo) >= 1.12.2
+BuildRequires:  pkgconfig(exiv2) >= 0.25
+BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.32.0
 BuildRequires:  pkgconfig(gexiv2)
 BuildRequires:  pkgconfig(gio-2.0)
 BuildRequires:  pkgconfig(gio-unix-2.0)
+BuildRequires:  pkgconfig(glib-2.0) >= 2.44.0
 BuildRequires:  pkgconfig(gmodule-2.0)
 BuildRequires:  pkgconfig(gobject-2.0)
 BuildRequires:  pkgconfig(gthread-2.0)
 BuildRequires:  pkgconfig(jasper) >= 1.900.1
 BuildRequires:  pkgconfig(json-glib-1.0)
-BuildRequires:  pkgconfig(lcms2) >= 2.2
+BuildRequires:  pkgconfig(lcms2) >= 2.8
 BuildRequires:  pkgconfig(libavcodec) >= 55.69.100
 BuildRequires:  pkgconfig(libavformat) >= 55.48.100
-BuildRequires:  pkgconfig(libpng)
-BuildRequires:  pkgconfig(libraw)
-BuildRequires:  pkgconfig(librsvg-2.0) >= 2.14.0
+BuildRequires:  pkgconfig(libpng) >= 1.6.0
+BuildRequires:  pkgconfig(libraw) >= 0.15.4
+BuildRequires:  pkgconfig(librsvg-2.0) >= 2.40.6
 BuildRequires:  pkgconfig(libswscale) >= 2.6.100
-BuildRequires:  pkgconfig(libtiff-4)
+BuildRequires:  pkgconfig(libtiff-4) >= 4.0.0
 BuildRequires:  pkgconfig(libv4l2) >= 1.0.1
-BuildRequires:  pkgconfig(libwebp)
+BuildRequires:  pkgconfig(libwebp) >= 0.5.0
 BuildRequires:  pkgconfig(lua) >= 5.1.0
-BuildRequires:  pkgconfig(pango)
-BuildRequires:  pkgconfig(pangocairo)
+BuildRequires:  pkgconfig(pango) >= 1.38.0
+BuildRequires:  pkgconfig(pangocairo) >= 1.38.0
 BuildRequires:  pkgconfig(vapigen) >= 0.20.0
 # since version 0.3.5, we no longer provide an orig-addon package, as 
ffmpeg/libav
 # exists in Tumbleweed and we use it to build


Reply via email to